const bops = function bops(data) {
  if (!data) return data;
  const newBops = Object.fromEntries(Object.entries(data.bops).map(([id, bop]) => {
    if (!bop.call) return [id, bop];
    if (bop.call.subjectType !== 'candidate') return [id, bop];
    return [id, {
      ...bop,
      call: {
        ...bop.call,
        subjectId: `cycle:candidate:${bop.call.subjectId}`
      }
    }];
  }));
  return {
    ...data,
    bops: newBops
  };
};
export default bops;